| Wheelchair Control MCU firmware

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Groups Pages
Data Fields
t_ConfigStruct Struct Reference
Wheelchair control MCU software.

`#include <Defines.h>`

## Data Fields
uint8_t | SRF08_Front
uint8_t | SRF08_Rear
uint8_t | ImpPerRoundR
uint8_t | ImpPerRoundL
uint16_t | CircumR
uint16_t | CircumL
uint16_t | Track
uint8_t | MaxAcc
uint8_t | Kp
uint8_t | Ki
uint8_t | Kd
uint8_t | RegErrorFilter
uint8_t | Omega0
uint8_t | L
uint8_t | Ksi
uint8_t | OmegaThresh
uint8_t | SRF08_RearCorrection
uint8_t | RightWheelIncrement
uint8_t | LeftWheelIncrement
uint8_t | SRF08_SafetyFirst
uint8_t | SRF08_SafetySecond
uint8_t | RegGamma
uint8_t | RegEpsilon
uint8_t | RegAngleGain
uint8_t | RegPositionGain
uint8_t | RegSpeed

## Detailed Description

Configuration structure.

Definition at line 200 of file Defines.h.

## Field Documentation

uint16_t CircumL

Left wheel circumference in cm.

Definition at line 204 of file Defines.h.

uint16_t CircumR

Right wheel circumference in cm.

Definition at line 204 of file Defines.h.

uint8_t ImpPerRoundL

Impulses per round of left wheel speed encoder (divided by 2 to fit uint8_t size when sampling STEP on both edges).

Definition at line 203 of file Defines.h.

uint8_t ImpPerRoundR

Impulses per round of right wheel speed encoder (divided by 2 to fit uint8_t size when sampling STEP on both edges).

Definition at line 203 of file Defines.h.

uint8_t Kd

Derivative coefficient of the PSD speed regulators (multiplied by 10!!!).

Definition at line 207 of file Defines.h.

uint8_t Ki

Integral coefficient of the PSD speed regulators (multiplied by 10!!!).

Definition at line 207 of file Defines.h.

uint8_t Kp

Proportional coefficient of the PSD speed regulators (multiplied by 10!!!).

Definition at line 207 of file Defines.h.

uint8_t Ksi

Ksi (damping factor, multiplied by 10!!).

Definition at line 209 of file Defines.h.

uint8_t L

Distance between SRF08 sensors/2 (in cm).

Definition at line 209 of file Defines.h.

uint8_t LeftWheelIncrement

Track increment (mm per pulse) of left wheel.

Definition at line 212 of file Defines.h.

uint8_t MaxAcc

max. acceleration (0 - 10 recommended).

Definition at line 206 of file Defines.h.

uint8_t Omega0

Natural frequency (multiplied by 10!!).

Definition at line 209 of file Defines.h.

uint8_t OmegaThresh

Threshold for angular speed.

Definition at line 210 of file Defines.h.

uint8_t RegAngleGain

Position regulator angle gain (x10!!!).

Definition at line 214 of file Defines.h.

uint8_t RegEpsilon

Position regulator epsilon.

Definition at line 214 of file Defines.h.

uint8_t RegErrorFilter

Lower threshold of the regulator error.

Definition at line 208 of file Defines.h.

uint8_t RegGamma

Position regulator gamma (x10!!!).

Definition at line 214 of file Defines.h.

uint8_t RegPositionGain

Position regulator distance gain (x10!!!).

Definition at line 214 of file Defines.h.

uint8_t RegSpeed

Position regulator constant forwars speed (in cm/s, if allowed).

Definition at line 214 of file Defines.h.

uint8_t RightWheelIncrement

Track increment (mm per pulse) of right wheel.

Definition at line 212 of file Defines.h.

uint8_t SRF08_Front

Address of front SRF08 sensor.

Definition at line 202 of file Defines.h.

uint8_t SRF08_Rear

Address of rear SRF08 sensors.

Definition at line 202 of file Defines.h.

uint8_t SRF08_RearCorrection

SRF08 rear sensor distance correction.

Definition at line 211 of file Defines.h.

uint8_t SRF08_SafetyFirst

Address of SRF08 front safety sensors.

Definition at line 213 of file Defines.h.

uint8_t SRF08_SafetySecond

Address of SRF08 rear safety sensors.

Definition at line 213 of file Defines.h.

uint16_t Track

Wheels track in cm.

Definition at line 205 of file Defines.h.

The documentation for this struct was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control MCU/Defines.h